function [out1,j_out1,h_out1] = sys_5c56430ae8152e60b8293b5405d768ac(in1,in2,in3)
%SYS_5C56430AE8152E60B8293B5405D768AC
%    [OUT1,J_OUT1,H_OUT1] = SYS_5C56430AE8152E60B8293B5405D768AC(IN1,IN2,IN3)

%    This function was generated by the Symbolic Math Toolbox version 8.0.
%    12-Dec-2020 09:33:29

in2val2 = in2(2,:);
in2val4 = in2(4,:);
in3val1 = in3(1,:);
in3val2 = in3(2,:);
out1 = [in2val2.^2+in2val4.^2-9.0;in3val1.^2+in3val2.^2-9.0];
if nargout > 1
    j_out1 = reshape([0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,in2val2.*2.0,0.0,0.0,0.0,in2val4.*2.0,0.0,0.0,in3val1.*2.0,0.0,in3val2.*2.0],[2,10]);
end
if nargout > 2
    h_out1 = zeros(0,0);
end

end
